# LightMetaProperty Class Reference
[Common wrapper and helper classes]

Simplified MetaClassProperty for passing information between userspace and MetaConfiguration. More...

Inheritance diagram for LightMetaProperty:
[legend]

List of all members.

## Public Member Functions

| getName ()
| getColumnName ()
| getGetter ()
| getSetter ()
| getDropper ()
| setColumnName ($name)
| getClassName ()
| getMin ()
| getMax ()
| getType ()
| isRequired ()
| setRequired ($yrly)
| isGenericType ()
| isInner ()
| getRelationId ()
| getFetchStrategyId ()
| setFetchStrategy (FetchStrategy $strategy)
| dropFetchStrategy ()
| getContainerName ($holderName)
| isBuildable ($array, $prefix=null)
| makePrimitive ($name)
| fillMapping (array $mapping)
| fillForm (Form $form, $prefix=null)
| fillQuery (InsertOrUpdateQuery $query, Prototyped $object)
| toValue (ProtoDAO $dao=null, $array, $prefix=null)
| isIdentifier ()
| toString ()
| isFormless ()

## Static Public Member Functions

static | create ()
static | fill (LightMetaProperty $property, $name, $columnName, $type, $className, $size, $required, $generic, $inner, $relationId, $strategyId)
| must by in sync with InnerMetaProperty::make()

## Public Attributes

const | UNSIGNED_FLAG = 0x1000

## Private Attributes

| $name = null
| $columnName = null
| $type = null
| $className = null
| $size = null
| $min = null
| $max = null
| $required = false
| $generic = false
| $inner = false
| $relationId = null
| $strategyId = null
| $getter = null
| $setter = null
| $dropper = null
| $identifier = null

## Static Private Attributes

static | $limits

## Detailed Description

Simplified MetaClassProperty for passing information between userspace and MetaConfiguration.

Definition at line 18 of file LightMetaProperty.class.php.

## Member Function Documentation

static LightMetaProperty::create | ( |  | ) | `[static]`

Returns:
  LightMetaProperty

Reimplemented in InnerMetaProperty.

Definition at line 79 of file LightMetaProperty.class.php.

LightMetaProperty::dropFetchStrategy | ( |  | ) |

Returns:
  LightMetaProperty

Definition at line 248 of file LightMetaProperty.class.php.

static LightMetaProperty::fill | ( | LightMetaProperty $ | property,
|  | $ | name,
|  | $ | columnName,
|  | $ | type,
|  | $ | className,
|  | $ | size,
|  | $ | required,
|  | $ | generic,
|  | $ | inner,
|  | $ | relationId,
|  | $ | strategyId |
| ) |  |  | `[static]`

must by in sync with InnerMetaProperty::make()

Returns:
  LightMetaProperty

Definition at line 89 of file LightMetaProperty.class.php.

References $className, $columnName, $generic, $inner, $name, $relationId, $required, $size, $strategyId, and $type.

LightMetaProperty::fillForm | ( | Form $ | form,
|  | $ | prefix = `null` |
| ) |  |  |

Returns:
  Form

Reimplemented in InnerMetaProperty.

Definition at line 336 of file LightMetaProperty.class.php.

References PlainForm::add(), and makePrimitive().

Here is the call graph for this function:

LightMetaProperty::fillMapping | ( | array $ | mapping | ) |

Reimplemented in InnerMetaProperty.

Definition at line 315 of file LightMetaProperty.class.php.

References FetchStrategy::LAZY, and MetaRelation::ONE_TO_ONE.

LightMetaProperty::fillQuery | ( | InsertOrUpdateQuery $ | query,
|  | Prototyped $ | object |
| ) |  |  |

Returns:
  InsertOrUpdateQuery

Reimplemented in InnerMetaProperty.

Definition at line 346 of file LightMetaProperty.class.php.

References InsertOrUpdateQuery::lazySet(), MetaRelation::ONE_TO_ONE, and InsertOrUpdateQuery::set().

Here is the call graph for this function:

LightMetaProperty::getClassName | ( |  | ) |

Definition at line 180 of file LightMetaProperty.class.php.

LightMetaProperty::getColumnName | ( |  | ) |

Definition at line 150 of file LightMetaProperty.class.php.

LightMetaProperty::getContainerName | ( | $ | holderName | ) |

Definition at line 255 of file LightMetaProperty.class.php.

References getName().

Here is the call graph for this function:

LightMetaProperty::getDropper | ( |  | ) |

Definition at line 165 of file LightMetaProperty.class.php.

LightMetaProperty::getFetchStrategyId | ( |  | ) |

Definition at line 230 of file LightMetaProperty.class.php.

LightMetaProperty::getGetter | ( |  | ) |

Definition at line 155 of file LightMetaProperty.class.php.

LightMetaProperty::getMax | ( |  | ) |

Definition at line 190 of file LightMetaProperty.class.php.

Referenced by makePrimitive().

LightMetaProperty::getMin | ( |  | ) |

Definition at line 185 of file LightMetaProperty.class.php.

Referenced by makePrimitive().

LightMetaProperty::getName | ( |  | ) |

Definition at line 145 of file LightMetaProperty.class.php.

Referenced by InnerMetaProperty::fillForm(), and getContainerName().

LightMetaProperty::getRelationId | ( |  | ) |

Definition at line 225 of file LightMetaProperty.class.php.

LightMetaProperty::getSetter | ( |  | ) |

Definition at line 160 of file LightMetaProperty.class.php.

LightMetaProperty::getType | ( |  | ) |

Definition at line 195 of file LightMetaProperty.class.php.

LightMetaProperty::isBuildable | ( | $ | array,
|  | $ | prefix = `null` |
| ) |  |  |

Reimplemented in InnerMetaProperty.

Definition at line 260 of file LightMetaProperty.class.php.

References Assert::isTrue(), and MetaRelation::ONE_TO_ONE.

Here is the call graph for this function:

LightMetaProperty::isFormless | ( |  | ) |

Reimplemented in InnerMetaProperty.

Definition at line 498 of file LightMetaProperty.class.php.

LightMetaProperty::isGenericType | ( |  | ) |

Definition at line 215 of file LightMetaProperty.class.php.

LightMetaProperty::isIdentifier | ( |  | ) |

Definition at line 436 of file LightMetaProperty.class.php.

LightMetaProperty::isInner | ( |  | ) |

Definition at line 220 of file LightMetaProperty.class.php.

LightMetaProperty::isRequired | ( |  | ) |

Definition at line 200 of file LightMetaProperty.class.php.

LightMetaProperty::makePrimitive | ( | $ | name | ) |

Returns:
  BasePrimitive

Definition at line 292 of file LightMetaProperty.class.php.

References $max, $min, $name, getMax(), and getMin().

Referenced by fillForm().

Here is the call graph for this function:

LightMetaProperty::setColumnName | ( | $ | name | ) |

Returns:
  LightMetaProperty

Definition at line 173 of file LightMetaProperty.class.php.

References $name.

LightMetaProperty::setFetchStrategy | ( | FetchStrategy $ | strategy | ) |

Returns:
  LightMetaProperty

Definition at line 238 of file LightMetaProperty.class.php.

References Enumeration::getId().

Here is the call graph for this function:

LightMetaProperty::setRequired | ( | $ | yrly | ) |

Returns:
  LightMetaProperty

Definition at line 208 of file LightMetaProperty.class.php.

LightMetaProperty::toString | ( |  | ) | `[final]`

Implements Stringable.

Definition at line 441 of file LightMetaProperty.class.php.

LightMetaProperty::toValue | ( | ProtoDAO $ | dao = `null`,
|  | $ | array,
|  | $ | prefix = `null` |
| ) |  |  |

Reimplemented in InnerMetaProperty.

Definition at line 374 of file LightMetaProperty.class.php.

References Assert::classExists(), HttpUrl::create(), DBPool::getByDao(), and FetchStrategy::JOIN.

Here is the call graph for this function:

## Member Data Documentation

LightMetaProperty::$className = null`[private]`

Definition at line 53 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$columnName = null`[private]`

Definition at line 50 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$dropper = null`[private]`

Definition at line 72 of file LightMetaProperty.class.php.

LightMetaProperty::$generic = false`[private]`

Definition at line 61 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$getter = null`[private]`

Definition at line 70 of file LightMetaProperty.class.php.

LightMetaProperty::$identifier = null`[private]`

Definition at line 74 of file LightMetaProperty.class.php.

LightMetaProperty::$inner = false`[private]`

Definition at line 62 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$limits`[static, private]`

Initial value:

     array(
                0x0002 => array(
                    PrimitiveInteger::SIGNED_SMALL_MIN,
                    PrimitiveInteger::SIGNED_SMALL_MAX
                ),
                0x1002 => array(
                    0,
                    PrimitiveInteger::UNSIGNED_SMALL_MAX
                ),
                0x0004 => array(
                    PrimitiveInteger::SIGNED_MIN,
                    PrimitiveInteger::SIGNED_MAX
                ),
                0x1004 => array(
                    0,
                    PrimitiveInteger::UNSIGNED_MAX
                ),
                0x0008 => array(
                    PrimitiveInteger::SIGNED_BIG_MIN,
                    PrimitiveInteger::SIGNED_BIG_MAX
                ),
                0x1008 => array(
                    0,
                    null
                )
            )

Definition at line 22 of file LightMetaProperty.class.php.

LightMetaProperty::$max = null`[private]`

Definition at line 58 of file LightMetaProperty.class.php.

Referenced by makePrimitive().

LightMetaProperty::$min = null`[private]`

Definition at line 57 of file LightMetaProperty.class.php.

Referenced by makePrimitive().

LightMetaProperty::$name = null`[private]`

Definition at line 49 of file LightMetaProperty.class.php.

Referenced by fill(), makePrimitive(), and setColumnName().

LightMetaProperty::$relationId = null`[private]`

See also:
  MetaRelation

Definition at line 65 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$required = false`[private]`

Definition at line 60 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$setter = null`[private]`

Definition at line 71 of file LightMetaProperty.class.php.

LightMetaProperty::$size = null`[private]`

Definition at line 55 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$strategyId = null`[private]`

See also:
  FetchStrategy

Definition at line 68 of file LightMetaProperty.class.php.

Referenced by fill().

LightMetaProperty::$type = null`[private]`

Definition at line 52 of file LightMetaProperty.class.php.

Referenced by fill().

const LightMetaProperty::UNSIGNED_FLAG = 0x1000

Definition at line 20 of file LightMetaProperty.class.php.

Referenced by UnsignedSmallIntegerType::getSize(), UnsignedIntegerType::getSize(), and UnsignedBigIntegerType::getSize().

The documentation for this class was generated from the following file:

- main/Base/LightMetaProperty.class.php